aboutsummaryrefslogtreecommitdiff
path: root/Makefile.in
diff options
context:
space:
mode:
authorRuss Allbery <eagle@eyrie.org>2014-07-16 13:43:17 -0700
committerRuss Allbery <eagle@eyrie.org>2014-07-16 13:43:17 -0700
commit6409733ee3b7b1910dc1c166a392cc628834146c (patch)
treee9460f8f2ca0f3676afeed2a9dcf549acfc39b53 /Makefile.in
parent334ed844cbb5c8f7ea82a94c701a3016dd6950b9 (diff)
parentf8963ceb19cd2b503b981f43a3f8c0f45649989f (diff)
Imported Upstream version 1.1
Diffstat (limited to 'Makefile.in')
-rw-r--r--Makefile.in580
1 files changed, 350 insertions, 230 deletions
diff --git a/Makefile.in b/Makefile.in
index f902d6b..c2357f9 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -1,9 +1,8 @@
-# Makefile.in generated by automake 1.11.6 from Makefile.am.
+# Makefile.in generated by automake 1.14.1 from Makefile.am.
# @configure_input@
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
-# Foundation, Inc.
+# Copyright (C) 1994-2013 Free Software Foundation, Inc.
+
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
@@ -17,8 +16,8 @@
# Automake makefile for wallet.
#
-# Written by Russ Allbery <rra@stanford.edu>
-# Copyright 2006, 2007, 2008, 2010, 2013
+# Written by Russ Allbery <eagle@eyrie.org>
+# Copyright 2006, 2007, 2008, 2010, 2013, 2014
# The Board of Trustees of the Leland Stanford Junior University
#
# See LICENSE for licensing terms.
@@ -27,23 +26,51 @@
VPATH = @srcdir@
-am__make_dryrun = \
- { \
- am__dry=no; \
+am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
+am__make_running_with_option = \
+ case $${target_option-} in \
+ ?) ;; \
+ *) echo "am__make_running_with_option: internal error: invalid" \
+ "target option '$${target_option-}' specified" >&2; \
+ exit 1;; \
+ esac; \
+ has_opt=no; \
+ sane_makeflags=$$MAKEFLAGS; \
+ if $(am__is_gnu_make); then \
+ sane_makeflags=$$MFLAGS; \
+ else \
case $$MAKEFLAGS in \
*\\[\ \ ]*) \
- echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
- | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
- *) \
- for am__flg in $$MAKEFLAGS; do \
- case $$am__flg in \
- *=*|--*) ;; \
- *n*) am__dry=yes; break;; \
- esac; \
- done;; \
+ bs=\\; \
+ sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
+ | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
esac; \
- test $$am__dry = yes; \
- }
+ fi; \
+ skip_next=no; \
+ strip_trailopt () \
+ { \
+ flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
+ }; \
+ for flg in $$sane_makeflags; do \
+ test $$skip_next = yes && { skip_next=no; continue; }; \
+ case $$flg in \
+ *=*|--*) continue;; \
+ -*I) strip_trailopt 'I'; skip_next=yes;; \
+ -*I?*) strip_trailopt 'I';; \
+ -*O) strip_trailopt 'O'; skip_next=yes;; \
+ -*O?*) strip_trailopt 'O';; \
+ -*l) strip_trailopt 'l'; skip_next=yes;; \
+ -*l?*) strip_trailopt 'l';; \
+ -[dEDm]) skip_next=yes;; \
+ -[JT]) skip_next=yes;; \
+ esac; \
+ case $$flg in \
+ *$$target_option*) has_opt=yes; break;; \
+ esac; \
+ done; \
+ test $$has_opt = yes
+am__make_dryrun = (target_option=n; $(am__make_running_with_option))
+am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
@@ -71,19 +98,26 @@ check_PROGRAMS = tests/runtests$(EXEEXT) \
tests/util/messages-krb5-t$(EXEEXT) \
tests/util/messages-t$(EXEEXT) tests/util/xmalloc$(EXEEXT)
subdir = .
-DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
- $(dist_pkgdata_DATA) $(dist_sbin_SCRIPTS) \
- $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
- $(srcdir)/config.h.in $(top_srcdir)/configure \
- $(top_srcdir)/perl/Makefile.PL.in \
- $(top_srcdir)/tests/client/basic-t.in \
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+ $(top_srcdir)/configure $(am__configure_deps) \
+ $(srcdir)/config.h.in $(top_srcdir)/tests/client/basic-t.in \
$(top_srcdir)/tests/client/full-t.in \
$(top_srcdir)/tests/client/prompt-t.in \
- $(top_srcdir)/tests/client/rekey-t.in NEWS TODO \
+ $(top_srcdir)/tests/client/rekey-t.in \
+ $(top_srcdir)/portable/reallocarray.c \
+ $(top_srcdir)/portable/asprintf.c \
+ $(top_srcdir)/portable/snprintf.c \
+ $(top_srcdir)/portable/setenv.c \
+ $(top_srcdir)/portable/strlcpy.c \
+ $(top_srcdir)/portable/mkstemp.c \
+ $(top_srcdir)/portable/strlcat.c $(dist_sbin_SCRIPTS) \
+ $(top_srcdir)/build-aux/depcomp $(dist_man_MANS) \
+ $(dist_pkgdata_DATA) NEWS README TODO build-aux/ar-lib \
build-aux/compile build-aux/depcomp build-aux/install-sh \
- build-aux/missing portable/asprintf.c portable/mkstemp.c \
- portable/setenv.c portable/snprintf.c portable/strlcat.c \
- portable/strlcpy.c
+ build-aux/missing $(top_srcdir)/build-aux/ar-lib \
+ $(top_srcdir)/build-aux/compile \
+ $(top_srcdir)/build-aux/install-sh \
+ $(top_srcdir)/build-aux/missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gssapi.m4 \
$(top_srcdir)/m4/krb5-config.m4 $(top_srcdir)/m4/krb5.m4 \
@@ -97,18 +131,15 @@ am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
-CONFIG_CLEAN_FILES = perl/Makefile.PL tests/client/basic-t \
- tests/client/full-t tests/client/prompt-t tests/client/rekey-t
+CONFIG_CLEAN_FILES = tests/client/basic-t tests/client/full-t \
+ tests/client/prompt-t tests/client/rekey-t
CONFIG_CLEAN_VPATH_FILES =
LIBRARIES = $(noinst_LIBRARIES)
-AR = ar
ARFLAGS = cru
AM_V_AR = $(am__v_AR_@AM_V@)
am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
-am__v_AR_0 = @echo " AR " $@;
-AM_V_at = $(am__v_at_@AM_V@)
-am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
-am__v_at_0 = @
+am__v_AR_0 = @echo " AR " $@;
+am__v_AR_1 =
client_libwallet_a_AR = $(AR) $(ARFLAGS)
client_libwallet_a_LIBADD =
am__dirstamp = $(am__leading_dot)dirstamp
@@ -250,6 +281,18 @@ am__uninstall_files_from_dir = { \
$(am__cd) "$$dir" && rm -f $$files; }; \
}
SCRIPTS = $(dist_sbin_SCRIPTS)
+AM_V_P = $(am__v_P_@AM_V@)
+am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
+am__v_P_0 = false
+am__v_P_1 = :
+AM_V_GEN = $(am__v_GEN_@AM_V@)
+am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
+am__v_GEN_0 = @echo " GEN " $@;
+am__v_GEN_1 =
+AM_V_at = $(am__v_at_@AM_V@)
+am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
+am__v_at_0 = @
+am__v_at_1 =
DEFAULT_INCLUDES = -I.@am__isrc@
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__depfiles_maybe = depfiles
@@ -257,19 +300,19 @@ am__mv = mv -f
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
+am__v_lt_1 =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
-am__v_CC_0 = @echo " CC " $@;
+am__v_CC_0 = @echo " CC " $@;
+am__v_CC_1 =
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
-am__v_CCLD_0 = @echo " CCLD " $@;
-AM_V_GEN = $(am__v_GEN_@AM_V@)
-am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
-am__v_GEN_0 = @echo " GEN " $@;
+am__v_CCLD_0 = @echo " CCLD " $@;
+am__v_CCLD_1 =
SOURCES = $(client_libwallet_a_SOURCES) \
$(portable_libportable_a_SOURCES) \
$(tests_tap_libtap_a_SOURCES) $(util_libutil_a_SOURCES) \
@@ -304,8 +347,28 @@ man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(dist_man_MANS)
DATA = $(dist_pkgdata_DATA)
+am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
+ $(LISP)config.h.in
+# Read a list of newline-separated strings from the standard input,
+# and print each of them once, without duplicates. Input order is
+# *not* preserved.
+am__uniquify_input = $(AWK) '\
+ BEGIN { nonempty = 0; } \
+ { items[$$0] = 1; nonempty = 1; } \
+ END { if (nonempty) { for (i in items) print i; }; } \
+'
+# Make sure the list of sources is unique. This is necessary because,
+# e.g., the same source file might be shared among _SOURCES variables
+# for different programs/libraries.
+am__define_uniq_tagged_files = \
+ list='$(am__tagged_files)'; \
+ unique=`for i in $$list; do \
+ if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+ done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
+CSCOPE = cscope
+AM_RECURSIVE_TARGETS = cscope
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
@@ -315,8 +378,10 @@ am__remove_distdir = \
&& rm -rf "$(distdir)" \
|| { sleep 5 && rm -rf "$(distdir)"; }; \
else :; fi
+am__post_remove_distdir = $(am__remove_distdir)
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.xz
GZIP_ENV = --best
+DIST_TARGETS = dist-xz dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
| sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
@@ -324,6 +389,7 @@ distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
+AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
@@ -351,6 +417,7 @@ INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KRB5_CPPFLAGS = @KRB5_CPPFLAGS@
+KRB5_CPPFLAGS_GCC = @KRB5_CPPFLAGS_GCC@
KRB5_LDFLAGS = @KRB5_LDFLAGS@
KRB5_LIBS = @KRB5_LIBS@
LDFLAGS = @LDFLAGS@
@@ -383,6 +450,7 @@ abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
+ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
@@ -426,42 +494,69 @@ top_srcdir = @top_srcdir@
# and are not generated or touched by configure. They're listed here to be
# added to EXTRA_DIST and so that they can be copied over properly for
# builddir != srcdir builds.
-PERL_FILES = perl/Wallet/ACL.pm perl/Wallet/ACL/Base.pm \
- perl/Wallet/ACL/Krb5.pm perl/Wallet/ACL/Krb5/Regex.pm \
- perl/Wallet/ACL/LDAP/Attribute.pm perl/Wallet/ACL/NetDB.pm \
- perl/Wallet/ACL/NetDB/Root.pm perl/Wallet/Admin.pm \
- perl/Wallet/Config.pm perl/Wallet/Database.pm perl/Wallet/Kadmin.pm \
- perl/Wallet/Kadmin/Heimdal.pm perl/Wallet/Kadmin/MIT.pm \
- perl/Wallet/Object/Base.pm perl/Wallet/Object/File.pm \
- perl/Wallet/Object/Keytab.pm perl/Wallet/Object/WAKeyring.pm \
- perl/Wallet/Policy/Stanford.pm perl/Wallet/Report.pm \
- perl/Wallet/Schema.pm perl/Wallet/Server.pm \
- perl/Wallet/Schema/Result/Acl.pm \
- perl/Wallet/Schema/Result/AclEntry.pm \
- perl/Wallet/Schema/Result/AclHistory.pm \
- perl/Wallet/Schema/Result/AclScheme.pm \
- perl/Wallet/Schema/Result/Enctype.pm \
- perl/Wallet/Schema/Result/Flag.pm \
- perl/Wallet/Schema/Result/KeytabEnctype.pm \
- perl/Wallet/Schema/Result/KeytabSync.pm \
- perl/Wallet/Schema/Result/Object.pm \
- perl/Wallet/Schema/Result/ObjectHistory.pm \
- perl/Wallet/Schema/Result/SyncTarget.pm \
- perl/Wallet/Schema/Result/Type.pm \
+PERL_FILES = perl/Build.PL perl/MANIFEST perl/MANIFEST.SKIP perl/create-ddl \
+ perl/lib/Wallet/ACL.pm perl/lib/Wallet/ACL/Base.pm \
+ perl/lib/Wallet/ACL/Krb5.pm perl/lib/Wallet/ACL/Krb5/Regex.pm \
+ perl/lib/Wallet/ACL/LDAP/Attribute.pm perl/lib/Wallet/ACL/NetDB.pm \
+ perl/lib/Wallet/ACL/NetDB/Root.pm perl/lib/Wallet/Admin.pm \
+ perl/lib/Wallet/Config.pm perl/lib/Wallet/Database.pm \
+ perl/lib/Wallet/Kadmin.pm perl/lib/Wallet/Kadmin/Heimdal.pm \
+ perl/lib/Wallet/Kadmin/MIT.pm perl/lib/Wallet/Object/Base.pm \
+ perl/lib/Wallet/Object/Duo.pm perl/lib/Wallet/Object/File.pm \
+ perl/lib/Wallet/Object/Keytab.pm \
+ perl/lib/Wallet/Object/WAKeyring.pm \
+ perl/lib/Wallet/Policy/Stanford.pm perl/lib/Wallet/Report.pm \
+ perl/lib/Wallet/Schema.pm perl/lib/Wallet/Server.pm \
+ perl/lib/Wallet/Schema/Result/Acl.pm \
+ perl/lib/Wallet/Schema/Result/AclEntry.pm \
+ perl/lib/Wallet/Schema/Result/AclHistory.pm \
+ perl/lib/Wallet/Schema/Result/AclScheme.pm \
+ perl/lib/Wallet/Schema/Result/Duo.pm \
+ perl/lib/Wallet/Schema/Result/Enctype.pm \
+ perl/lib/Wallet/Schema/Result/Flag.pm \
+ perl/lib/Wallet/Schema/Result/KeytabEnctype.pm \
+ perl/lib/Wallet/Schema/Result/KeytabSync.pm \
+ perl/lib/Wallet/Schema/Result/Object.pm \
+ perl/lib/Wallet/Schema/Result/ObjectHistory.pm \
+ perl/lib/Wallet/Schema/Result/SyncTarget.pm \
+ perl/lib/Wallet/Schema/Result/Type.pm \
perl/sql/Wallet-Schema-0.07-0.08-MySQL.sql \
perl/sql/Wallet-Schema-0.07-0.08-SQLite.sql \
perl/sql/Wallet-Schema-0.07-MySQL.sql \
perl/sql/Wallet-Schema-0.07-SQLite.sql \
+ perl/sql/Wallet-Schema-0.08-0.09-MySQL.sql \
+ perl/sql/Wallet-Schema-0.08-0.09-PostgreSQL.sql \
+ perl/sql/Wallet-Schema-0.08-0.09-SQLite.sql \
perl/sql/Wallet-Schema-0.08-MySQL.sql \
perl/sql/Wallet-Schema-0.08-PostgreSQL.sql \
- perl/sql/Wallet-Schema-0.08-SQLite.sql perl/t/acl.t perl/t/admin.t \
- perl/t/config.t perl/t/data/README perl/t/data/keytab-fake \
- perl/t/data/keytab.conf perl/t/data/netdb.conf \
- perl/t/data/netdb-fake perl/t/file.t perl/t/init.t perl/t/kadmin.t \
- perl/t/keytab.t perl/t/lib/Util.pm perl/t/object.t \
- perl/t/pod-spelling.t perl/t/pod.t perl/t/report.t perl/t/server.t \
- perl/t/stanford-naming.t perl/t/verifier-ldap-attr.t \
- perl/t/verifier-netdb.t perl/t/verifier.t perl/t/wa-keyring.t
+ perl/sql/Wallet-Schema-0.08-SQLite.sql \
+ perl/sql/Wallet-Schema-0.09-MySQL.sql \
+ perl/sql/Wallet-Schema-0.09-PostgreSQL.sql \
+ perl/sql/Wallet-Schema-0.09-SQLite.sql perl/t/data/README \
+ perl/t/data/duo/integration.json perl/t/data/duo/keys.json \
+ perl/t/data/keytab-fake perl/t/data/keytab.conf \
+ perl/t/data/netdb-fake perl/t/data/netdb.conf perl/t/data/perl.conf \
+ perl/t/docs/pod-spelling.t perl/t/docs/pod.t perl/t/general/acl.t \
+ perl/t/general/admin.t perl/t/general/config.t \
+ perl/t/general/init.t perl/t/general/report.t \
+ perl/t/general/server.t perl/t/lib/Util.pm perl/t/object/base.t \
+ perl/t/object/duo.t perl/t/object/file.t perl/t/object/keytab.t \
+ perl/t/object/wa-keyring.t perl/t/policy/stanford.t \
+ perl/t/style/minimum-version.t perl/t/style/strict.t \
+ perl/t/util/kadmin.t perl/t/verifier/basic.t \
+ perl/t/verifier/ldap-attr.t perl/t/verifier/netdb.t
+
+
+# Directories that have to be created in builddir != srcdir builds before
+# copying PERL_FILES over.
+PERL_DIRECTORIES = perl perl/lib perl/lib/Wallet perl/lib/Wallet/ACL \
+ perl/lib/Wallet/ACL/Krb5 perl/lib/Wallet/ACL/LDAP \
+ perl/lib/Wallet/ACL/NetDB perl/lib/Wallet/Kadmin \
+ perl/lib/Wallet/Object perl/lib/Wallet/Policy \
+ perl/lib/Wallet/Schema perl/lib/Wallet/Schema/Result perl/sql \
+ perl/t perl/t/data perl/t/data/duo perl/t/docs perl/t/general \
+ perl/t/lib perl/t/object perl/t/policy perl/t/style perl/t/util \
+ perl/t/verifier
ACLOCAL_AMFLAGS = -I m4
EXTRA_DIST = .gitignore LICENSE autogen client/wallet.pod \
@@ -469,27 +564,32 @@ EXTRA_DIST = .gitignore LICENSE autogen client/wallet.pod \
config/keytab.acl config/wallet config/wallet-report.acl \
docs/design contrib/README contrib/convert-srvtab-db \
contrib/used-principals contrib/wallet-contacts \
+ contrib/wallet-rekey-periodic contrib/wallet-rekey-periodic.8 \
contrib/wallet-summary contrib/wallet-summary.8 \
contrib/wallet-unknown-hosts contrib/wallet-unknown-hosts.8 \
docs/design-acl docs/design-api docs/netdb-role-api docs/notes \
docs/objects-and-schemes docs/setup docs/stanford-naming \
- examples/stanford.conf perl/create-ddl tests/HOWTO tests/TESTS \
- tests/config/README tests/data/allow-extract tests/data/basic.conf \
- tests/data/cmd-fake tests/data/cmd-wrapper tests/data/fake-data \
- tests/data/fake-kadmin tests/data/fake-keytab \
- tests/data/fake-keytab-2 tests/data/fake-keytab-foreign \
- tests/data/fake-keytab-merge tests/data/fake-keytab-old \
- tests/data/fake-keytab-partial \
+ examples/stanford.conf tests/HOWTO tests/TESTS tests/config/README \
+ tests/data/allow-extract tests/data/basic.conf tests/data/cmd-fake \
+ tests/data/cmd-wrapper tests/data/fake-data tests/data/fake-kadmin \
+ tests/data/fake-keytab tests/data/fake-keytab-2 \
+ tests/data/fake-keytab-foreign tests/data/fake-keytab-merge \
+ tests/data/fake-keytab-old tests/data/fake-keytab-partial \
tests/data/fake-keytab-partial-result tests/data/fake-keytab-rekey \
tests/data/fake-keytab-unknown tests/data/fake-srvtab \
tests/data/full.conf tests/data/perl.conf tests/data/wallet.conf \
- tests/docs/pod-spelling-t tests/docs/pod-t tests/server/admin-t \
- tests/server/backend-t tests/server/keytab-t tests/server/report-t \
- tests/tap/kerberos.sh tests/tap/libtap.sh \
+ tests/docs/pod-spelling-t tests/docs/pod-t \
+ tests/perl/minimum-version-t tests/perl/strict-t \
+ tests/server/admin-t tests/server/backend-t tests/server/keytab-t \
+ tests/server/report-t tests/tap/kerberos.sh tests/tap/libtap.sh \
tests/tap/perl/Test/RRA.pm tests/tap/perl/Test/RRA/Automake.pm \
tests/tap/perl/Test/RRA/Config.pm tests/tap/remctl.sh \
tests/util/xmalloc-t $(PERL_FILES)
+
+# Supporting convenience libraries used by other targets.
+
+# The private library used by both wallet and wallet-rekey.
noinst_LIBRARIES = portable/libportable.a util/libutil.a \
client/libwallet.a
portable_libportable_a_SOURCES = portable/dummy.c portable/krb5-extra.c \
@@ -520,6 +620,8 @@ client_wallet_rekey_LDFLAGS = $(REMCTL_LDFLAGS) $(KRB5_LDFLAGS)
client_wallet_rekey_LDADD = client/libwallet.a util/libutil.a \
portable/libportable.a $(REMCTL_LIBS) $(KRB5_LIBS)
+
+# The manual pages.
dist_man_MANS = client/wallet.1 client/wallet-rekey.1 server/keytab-backend.8 \
server/wallet-admin.8 server/wallet-backend.8 server/wallet-report.8
@@ -529,30 +631,39 @@ dist_pkgdata_DATA = perl/sql/Wallet-Schema-0.07-0.08-MySQL.sql \
perl/sql/Wallet-Schema-0.07-0.08-SQLite.sql \
perl/sql/Wallet-Schema-0.07-MySQL.sql \
perl/sql/Wallet-Schema-0.07-SQLite.sql \
+ perl/sql/Wallet-Schema-0.08-0.09-MySQL.sql \
+ perl/sql/Wallet-Schema-0.08-0.09-PostgreSQL.sql \
+ perl/sql/Wallet-Schema-0.08-0.09-SQLite.sql \
perl/sql/Wallet-Schema-0.08-MySQL.sql \
perl/sql/Wallet-Schema-0.08-PostgreSQL.sql \
- perl/sql/Wallet-Schema-0.08-SQLite.sql
+ perl/sql/Wallet-Schema-0.08-SQLite.sql \
+ perl/sql/Wallet-Schema-0.09-MySQL.sql \
+ perl/sql/Wallet-Schema-0.09-PostgreSQL.sql \
+ perl/sql/Wallet-Schema-0.09-SQLite.sql
-# A set of flags for warnings. Add -O because gcc won't find some warnings
+# A set of flags for warnings. Add -O because gcc won't find some warnings
# without optimization turned on. Desirable warnings that can't be turned
# on due to other problems:
#
-# -Wconversion http://bugs.debian.org/488884 (htons warnings)
+# -Wconversion http://bugs.debian.org/488884 (htons warnings)
#
-# Last checked against gcc 4.6.1 (2011-05-04). -D_FORTIFY_SOURCE=2 enables
+# Last checked against gcc 4.8.2 (2014-04-12). -D_FORTIFY_SOURCE=2 enables
# warn_unused_result attribute markings on glibc functions on Linux, which
# catches a few more issues.
-WARNINGS = -g -O -D_FORTIFY_SOURCE=2 -Wall -Wextra -Wendif-labels \
- -Wformat=2 -Winit-self -Wswitch-enum -Wdeclaration-after-statement \
+WARNINGS = -g -O -fstrict-overflow -fstrict-aliasing -D_FORTIFY_SOURCE=2 \
+ -Wall -Wextra -Wendif-labels -Wformat=2 -Winit-self -Wswitch-enum \
+ -Wstrict-overflow=5 -Wfloat-equal -Wdeclaration-after-statement \
-Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align \
- -Wwrite-strings -Wjump-misses-init -Wlogical-op \
- -Wstrict-prototypes -Wmissing-prototypes -Wredundant-decls \
- -Wnested-externs -Werror
+ -Wwrite-strings -Wjump-misses-init -Wlogical-op -Wstrict-prototypes \
+ -Wold-style-definition -Wmissing-prototypes -Wnormalized=nfc \
+ -Wpacked -Wredundant-decls -Wnested-externs -Winline -Wvla -Werror
# Remove some additional files.
-DISTCLEANFILES = perl/Makefile
+CLEANFILES = perl/t/lib/Test/RRA.pm perl/t/lib/Test/RRA/Automake.pm \
+ perl/t/lib/Test/RRA/Config.pm
+
MAINTAINERCLEANFILES = Makefile.in aclocal.m4 build-aux/compile \
build-aux/depcomp build-aux/install-sh build-aux/missing \
client/wallet.1 config.h.in config.h.in~ configure \
@@ -645,8 +756,8 @@ $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
$(am__aclocal_m4_deps):
config.h: stamp-h1
- @if test ! -f $@; then rm -f stamp-h1; else :; fi
- @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
+ @test -f $@ || rm -f stamp-h1
+ @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
@rm -f stamp-h1
@@ -658,8 +769,6 @@ $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
distclean-hdr:
-rm -f config.h stamp-h1
-perl/Makefile.PL: $(top_builddir)/config.status $(top_srcdir)/perl/Makefile.PL.in
- cd $(top_builddir) && $(SHELL) ./config.status $@
tests/client/basic-t: $(top_builddir)/config.status $(top_srcdir)/tests/client/basic-t.in
cd $(top_builddir) && $(SHELL) ./config.status $@
tests/client/full-t: $(top_builddir)/config.status $(top_srcdir)/tests/client/full-t.in
@@ -692,6 +801,7 @@ client/client_libwallet_a-remctl.$(OBJEXT): client/$(am__dirstamp) \
client/$(DEPDIR)/$(am__dirstamp)
client/client_libwallet_a-srvtab.$(OBJEXT): client/$(am__dirstamp) \
client/$(DEPDIR)/$(am__dirstamp)
+
client/libwallet.a: $(client_libwallet_a_OBJECTS) $(client_libwallet_a_DEPENDENCIES) $(EXTRA_client_libwallet_a_DEPENDENCIES) client/$(am__dirstamp)
$(AM_V_at)-rm -f client/libwallet.a
$(AM_V_AR)$(client_libwallet_a_AR) client/libwallet.a $(client_libwallet_a_OBJECTS) $(client_libwallet_a_LIBADD)
@@ -706,6 +816,7 @@ portable/portable_libportable_a-dummy.$(OBJEXT): \
portable/$(am__dirstamp) portable/$(DEPDIR)/$(am__dirstamp)
portable/portable_libportable_a-krb5-extra.$(OBJEXT): \
portable/$(am__dirstamp) portable/$(DEPDIR)/$(am__dirstamp)
+
portable/libportable.a: $(portable_libportable_a_OBJECTS) $(portable_libportable_a_DEPENDENCIES) $(EXTRA_portable_libportable_a_DEPENDENCIES) portable/$(am__dirstamp)
$(AM_V_at)-rm -f portable/libportable.a
$(AM_V_AR)$(portable_libportable_a_AR) portable/libportable.a $(portable_libportable_a_OBJECTS) $(portable_libportable_a_LIBADD)
@@ -726,6 +837,7 @@ tests/tap/tests_tap_libtap_a-process.$(OBJEXT): \
tests/tap/$(am__dirstamp) tests/tap/$(DEPDIR)/$(am__dirstamp)
tests/tap/tests_tap_libtap_a-string.$(OBJEXT): \
tests/tap/$(am__dirstamp) tests/tap/$(DEPDIR)/$(am__dirstamp)
+
tests/tap/libtap.a: $(tests_tap_libtap_a_OBJECTS) $(tests_tap_libtap_a_DEPENDENCIES) $(EXTRA_tests_tap_libtap_a_DEPENDENCIES) tests/tap/$(am__dirstamp)
$(AM_V_at)-rm -f tests/tap/libtap.a
$(AM_V_AR)$(tests_tap_libtap_a_AR) tests/tap/libtap.a $(tests_tap_libtap_a_OBJECTS) $(tests_tap_libtap_a_LIBADD)
@@ -742,6 +854,7 @@ util/util_libutil_a-messages.$(OBJEXT): util/$(am__dirstamp) \
util/$(DEPDIR)/$(am__dirstamp)
util/util_libutil_a-xmalloc.$(OBJEXT): util/$(am__dirstamp) \
util/$(DEPDIR)/$(am__dirstamp)
+
util/libutil.a: $(util_libutil_a_OBJECTS) $(util_libutil_a_DEPENDENCIES) $(EXTRA_util_libutil_a_DEPENDENCIES) util/$(am__dirstamp)
$(AM_V_at)-rm -f util/libutil.a
$(AM_V_AR)$(util_libutil_a_AR) util/libutil.a $(util_libutil_a_OBJECTS) $(util_libutil_a_LIBADD)
@@ -755,10 +868,11 @@ install-binPROGRAMS: $(bin_PROGRAMS)
fi; \
for p in $$list; do echo "$$p $$p"; done | \
sed 's/$(EXEEXT)$$//' | \
- while read p p1; do if test -f $$p; \
- then echo "$$p"; echo "$$p"; else :; fi; \
+ while read p p1; do if test -f $$p \
+ ; then echo "$$p"; echo "$$p"; else :; fi; \
done | \
- sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
+ sed -e 'p;s,.*/,,;n;h' \
+ -e 's|.*|.|' \
-e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
sed 'N;N;N;s,\n, ,g' | \
$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
@@ -779,7 +893,8 @@ uninstall-binPROGRAMS:
@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
files=`for p in $$list; do echo "$$p"; done | \
sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
- -e 's/$$/$(EXEEXT)/' `; \
+ -e 's/$$/$(EXEEXT)/' \
+ `; \
test -n "$$list" || exit 0; \
echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
cd "$(DESTDIR)$(bindir)" && rm -f $$files
@@ -791,11 +906,13 @@ clean-checkPROGRAMS:
-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
client/client_wallet-wallet.$(OBJEXT): client/$(am__dirstamp) \
client/$(DEPDIR)/$(am__dirstamp)
+
client/wallet$(EXEEXT): $(client_wallet_OBJECTS) $(client_wallet_DEPENDENCIES) $(EXTRA_client_wallet_DEPENDENCIES) client/$(am__dirstamp)
@rm -f client/wallet$(EXEEXT)
$(AM_V_CCLD)$(client_wallet_LINK) $(client_wallet_OBJECTS) $(client_wallet_LDADD) $(LIBS)
client/client_wallet_rekey-wallet-rekey.$(OBJEXT): \
client/$(am__dirstamp) client/$(DEPDIR)/$(am__dirstamp)
+
client/wallet-rekey$(EXEEXT): $(client_wallet_rekey_OBJECTS) $(client_wallet_rekey_DEPENDENCIES) $(EXTRA_client_wallet_rekey_DEPENDENCIES) client/$(am__dirstamp)
@rm -f client/wallet-rekey$(EXEEXT)
$(AM_V_CCLD)$(client_wallet_rekey_LINK) $(client_wallet_rekey_OBJECTS) $(client_wallet_rekey_LDADD) $(LIBS)
@@ -809,6 +926,7 @@ tests/portable/asprintf-t.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
tests/portable/asprintf.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
+
tests/portable/asprintf-t$(EXEEXT): $(tests_portable_asprintf_t_OBJECTS) $(tests_portable_asprintf_t_DEPENDENCIES) $(EXTRA_tests_portable_asprintf_t_DEPENDENCIES) tests/portable/$(am__dirstamp)
@rm -f tests/portable/asprintf-t$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(tests_portable_asprintf_t_OBJECTS) $(tests_portable_asprintf_t_LDADD) $(LIBS)
@@ -816,6 +934,7 @@ tests/portable/mkstemp-t.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
tests/portable/mkstemp.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
+
tests/portable/mkstemp-t$(EXEEXT): $(tests_portable_mkstemp_t_OBJECTS) $(tests_portable_mkstemp_t_DEPENDENCIES) $(EXTRA_tests_portable_mkstemp_t_DEPENDENCIES) tests/portable/$(am__dirstamp)
@rm -f tests/portable/mkstemp-t$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(tests_portable_mkstemp_t_OBJECTS) $(tests_portable_mkstemp_t_LDADD) $(LIBS)
@@ -823,6 +942,7 @@ tests/portable/setenv-t.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
tests/portable/setenv.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
+
tests/portable/setenv-t$(EXEEXT): $(tests_portable_setenv_t_OBJECTS) $(tests_portable_setenv_t_DEPENDENCIES) $(EXTRA_tests_portable_setenv_t_DEPENDENCIES) tests/portable/$(am__dirstamp)
@rm -f tests/portable/setenv-t$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(tests_portable_setenv_t_OBJECTS) $(tests_portable_setenv_t_LDADD) $(LIBS)
@@ -830,6 +950,7 @@ tests/portable/snprintf-t.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
tests/portable/snprintf.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
+
tests/portable/snprintf-t$(EXEEXT): $(tests_portable_snprintf_t_OBJECTS) $(tests_portable_snprintf_t_DEPENDENCIES) $(EXTRA_tests_portable_snprintf_t_DEPENDENCIES) tests/portable/$(am__dirstamp)
@rm -f tests/portable/snprintf-t$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(tests_portable_snprintf_t_OBJECTS) $(tests_portable_snprintf_t_LDADD) $(LIBS)
@@ -837,6 +958,7 @@ tests/portable/strlcat-t.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
tests/portable/strlcat.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
+
tests/portable/strlcat-t$(EXEEXT): $(tests_portable_strlcat_t_OBJECTS) $(tests_portable_strlcat_t_DEPENDENCIES) $(EXTRA_tests_portable_strlcat_t_DEPENDENCIES) tests/portable/$(am__dirstamp)
@rm -f tests/portable/strlcat-t$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(tests_portable_strlcat_t_OBJECTS) $(tests_portable_strlcat_t_LDADD) $(LIBS)
@@ -844,6 +966,7 @@ tests/portable/strlcpy-t.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
tests/portable/strlcpy.$(OBJEXT): tests/portable/$(am__dirstamp) \
tests/portable/$(DEPDIR)/$(am__dirstamp)
+
tests/portable/strlcpy-t$(EXEEXT): $(tests_portable_strlcpy_t_OBJECTS) $(tests_portable_strlcpy_t_DEPENDENCIES) $(EXTRA_tests_portable_strlcpy_t_DEPENDENCIES) tests/portable/$(am__dirstamp)
@rm -f tests/portable/strlcpy-t$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(tests_portable_strlcpy_t_OBJECTS) $(tests_portable_strlcpy_t_LDADD) $(LIBS)
@@ -855,6 +978,7 @@ tests/$(DEPDIR)/$(am__dirstamp):
@: > tests/$(DEPDIR)/$(am__dirstamp)
tests/tests_runtests-runtests.$(OBJEXT): tests/$(am__dirstamp) \
tests/$(DEPDIR)/$(am__dirstamp)
+
tests/runtests$(EXEEXT): $(tests_runtests_OBJECTS) $(tests_runtests_DEPENDENCIES) $(EXTRA_tests_runtests_DEPENDENCIES) tests/$(am__dirstamp)
@rm -f tests/runtests$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(tests_runtests_OBJECTS) $(tests_runtests_LDADD) $(LIBS)
@@ -867,16 +991,19 @@ tests/util/$(DEPDIR)/$(am__dirstamp):
tests/util/tests_util_messages_krb5_t-messages-krb5-t.$(OBJEXT): \
tests/util/$(am__dirstamp) \
tests/util/$(DEPDIR)/$(am__dirstamp)
+
tests/util/messages-krb5-t$(EXEEXT): $(tests_util_messages_krb5_t_OBJECTS) $(tests_util_messages_krb5_t_DEPENDENCIES) $(EXTRA_tests_util_messages_krb5_t_DEPENDENCIES) tests/util/$(am__dirstamp)
@rm -f tests/util/messages-krb5-t$(EXEEXT)
$(AM_V_CCLD)$(tests_util_messages_krb5_t_LINK) $(tests_util_messages_krb5_t_OBJECTS) $(tests_util_messages_krb5_t_LDADD) $(LIBS)
tests/util/messages-t.$(OBJEXT): tests/util/$(am__dirstamp) \
tests/util/$(DEPDIR)/$(am__dirstamp)
+
tests/util/messages-t$(EXEEXT): $(tests_util_messages_t_OBJECTS) $(tests_util_messages_t_DEPENDENCIES) $(EXTRA_tests_util_messages_t_DEPENDENCIES) tests/util/$(am__dirstamp)
@rm -f tests/util/messages-t$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(tests_util_messages_t_OBJECTS) $(tests_util_messages_t_LDADD) $(LIBS)
tests/util/xmalloc.$(OBJEXT): tests/util/$(am__dirstamp) \
tests/util/$(DEPDIR)/$(am__dirstamp)
+
tests/util/xmalloc$(EXEEXT): $(tests_util_xmalloc_OBJECTS) $(tests_util_xmalloc_DEPENDENCIES) $(EXTRA_tests_util_xmalloc_DEPENDENCIES) tests/util/$(am__dirstamp)
@rm -f tests/util/xmalloc$(EXEEXT)
$(AM_V_CCLD)$(LINK) $(tests_util_xmalloc_OBJECTS) $(tests_util_xmalloc_LDADD) $(LIBS)
@@ -918,40 +1045,13 @@ uninstall-dist_sbinSCRIPTS:
mostlyclean-compile:
-rm -f *.$(OBJEXT)
- -rm -f client/client_libwallet_a-file.$(OBJEXT)
- -rm -f client/client_libwallet_a-keytab.$(OBJEXT)
- -rm -f client/client_libwallet_a-krb5.$(OBJEXT)
- -rm -f client/client_libwallet_a-options.$(OBJEXT)
- -rm -f client/client_libwallet_a-remctl.$(OBJEXT)
- -rm -f client/client_libwallet_a-srvtab.$(OBJEXT)
- -rm -f client/client_wallet-wallet.$(OBJEXT)
- -rm -f client/client_wallet_rekey-wallet-rekey.$(OBJEXT)
- -rm -f portable/portable_libportable_a-dummy.$(OBJEXT)
- -rm -f portable/portable_libportable_a-krb5-extra.$(OBJEXT)
- -rm -f tests/portable/asprintf-t.$(OBJEXT)
- -rm -f tests/portable/asprintf.$(OBJEXT)
- -rm -f tests/portable/mkstemp-t.$(OBJEXT)
- -rm -f tests/portable/mkstemp.$(OBJEXT)
- -rm -f tests/portable/setenv-t.$(OBJEXT)
- -rm -f tests/portable/setenv.$(OBJEXT)
- -rm -f tests/portable/snprintf-t.$(OBJEXT)
- -rm -f tests/portable/snprintf.$(OBJEXT)
- -rm -f tests/portable/strlcat-t.$(OBJEXT)
- -rm -f tests/portable/strlcat.$(OBJEXT)
- -rm -f tests/portable/strlcpy-t.$(OBJEXT)
- -rm -f tests/portable/strlcpy.$(OBJEXT)
- -rm -f tests/tap/tests_tap_libtap_a-basic.$(OBJEXT)
- -rm -f tests/tap/tests_tap_libtap_a-kerberos.$(OBJEXT)
- -rm -f tests/tap/tests_tap_libtap_a-messages.$(OBJEXT)
- -rm -f tests/tap/tests_tap_libtap_a-process.$(OBJEXT)
- -rm -f tests/tap/tests_tap_libtap_a-string.$(OBJEXT)
- -rm -f tests/tests_runtests-runtests.$(OBJEXT)
- -rm -f tests/util/messages-t.$(OBJEXT)
- -rm -f tests/util/tests_util_messages_krb5_t-messages-krb5-t.$(OBJEXT)
- -rm -f tests/util/xmalloc.$(OBJEXT)
- -rm -f util/util_libutil_a-messages-krb5.$(OBJEXT)
- -rm -f util/util_libutil_a-messages.$(OBJEXT)
- -rm -f util/util_libutil_a-xmalloc.$(OBJEXT)
+ -rm -f client/*.$(OBJEXT)
+ -rm -f portable/*.$(OBJEXT)
+ -rm -f tests/*.$(OBJEXT)
+ -rm -f tests/portable/*.$(OBJEXT)
+ -rm -f tests/tap/*.$(OBJEXT)
+ -rm -f tests/util/*.$(OBJEXT)
+ -rm -f util/*.$(OBJEXT)
distclean-compile:
-rm -f *.tab.c
@@ -968,6 +1068,7 @@ distclean-compile:
@AMDEP_TRUE@@am__include@ @am__quote@portable/$(DEPDIR)/mkstemp.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@portable/$(DEPDIR)/portable_libportable_a-dummy.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@portable/$(DEPDIR)/portable_libportable_a-krb5-extra.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@portable/$(DEPDIR)/reallocarray.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@portable/$(DEPDIR)/setenv.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@portable/$(DEPDIR)/snprintf.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@portable/$(DEPDIR)/strlcat.Po@am__quote@
@@ -1400,26 +1501,15 @@ uninstall-dist_pkgdataDATA:
files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
dir='$(DESTDIR)$(pkgdatadir)'; $(am__uninstall_files_from_dir)
-ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
- list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
- mkid -fID $$unique
-tags: TAGS
-
-TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
- $(TAGS_FILES) $(LISP)
+ID: $(am__tagged_files)
+ $(am__define_uniq_tagged_files); mkid -fID $$unique
+tags: tags-am
+TAGS: tags
+
+tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
set x; \
here=`pwd`; \
- list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
+ $(am__define_uniq_tagged_files); \
shift; \
if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
@@ -1431,15 +1521,11 @@ TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
$$unique; \
fi; \
fi
-ctags: CTAGS
-CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
- $(TAGS_FILES) $(LISP)
- list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
- unique=`for i in $$list; do \
- if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
- done | \
- $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
- END { if (nonempty) { for (i in files) print i; }; }'`; \
+ctags: ctags-am
+
+CTAGS: ctags
+ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
+ $(am__define_uniq_tagged_files); \
test -z "$(CTAGS_ARGS)$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
$$unique
@@ -1448,9 +1534,31 @@ GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \
&& $(am__cd) $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) "$$here"
+cscope: cscope.files
+ test ! -s cscope.files \
+ || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
+clean-cscope:
+ -rm -f cscope.files
+cscope.files: clean-cscope cscopelist
+cscopelist: cscopelist-am
+
+cscopelist-am: $(am__tagged_files)
+ list='$(am__tagged_files)'; \
+ case "$(srcdir)" in \
+ [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
+ *) sdir=$(subdir)/$(srcdir) ;; \
+ esac; \
+ for i in $$list; do \
+ if test -f "$$i"; then \
+ echo "$(subdir)/$$i"; \
+ else \
+ echo "$$sdir/$$i"; \
+ fi; \
+ done >> $(top_builddir)/cscope.files
distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
+ -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
distdir: $(DISTFILES)
@case `sed 15q $(srcdir)/NEWS` in \
@@ -1459,19 +1567,6 @@ distdir: $(DISTFILES)
echo "NEWS not updated; not releasing" 1>&2; \
exit 1;; \
esac
- @list='$(MANS)'; if test -n "$$list"; then \
- list=`for p in $$list; do \
- if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
- if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
- if test -n "$$list" && \
- grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
- echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
- grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \
- echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \
- echo " typically \`make maintainer-clean' will remove them" >&2; \
- exit 1; \
- else :; fi; \
- else :; fi
$(am__remove_distdir)
test -d "$(distdir)" || mkdir "$(distdir)"
@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
@@ -1512,40 +1607,41 @@ distdir: $(DISTFILES)
|| chmod -R a+r "$(distdir)"
dist-gzip: distdir
tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
- $(am__remove_distdir)
+ $(am__post_remove_distdir)
dist-bzip2: distdir
tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
- $(am__remove_distdir)
+ $(am__post_remove_distdir)
dist-lzip: distdir
tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
- $(am__remove_distdir)
-
-dist-lzma: distdir
- tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
- $(am__remove_distdir)
+ $(am__post_remove_distdir)
dist-xz: distdir
tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
- $(am__remove_distdir)
+ $(am__post_remove_distdir)
dist-tarZ: distdir
+ @echo WARNING: "Support for shar distribution archives is" \
+ "deprecated." >&2
+ @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
- $(am__remove_distdir)
+ $(am__post_remove_distdir)
dist-shar: distdir
+ @echo WARNING: "Support for distribution archives compressed with" \
+ "legacy program 'compress' is deprecated." >&2
+ @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
- $(am__remove_distdir)
+ $(am__post_remove_distdir)
dist-zip: distdir
-rm -f $(distdir).zip
zip -rq $(distdir).zip $(distdir)
- $(am__remove_distdir)
+ $(am__post_remove_distdir)
-dist dist-all: distdir
- tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
- tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
- $(am__remove_distdir)
+dist dist-all:
+ $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
+ $(am__post_remove_distdir)
# This target untars the dist file and tries a VPATH configuration. Then
# it guarantees that the distribution is self-contained by making another
@@ -1556,8 +1652,6 @@ distcheck: dist
GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
*.tar.bz2*) \
bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
- *.tar.lzma*) \
- lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
*.tar.lz*) \
lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
*.tar.xz*) \
@@ -1569,18 +1663,19 @@ distcheck: dist
*.zip*) \
unzip $(distdir).zip ;;\
esac
- chmod -R a-w $(distdir); chmod u+w $(distdir)
- mkdir $(distdir)/_build
- mkdir $(distdir)/_inst
+ chmod -R a-w $(distdir)
+ chmod u+w $(distdir)
+ mkdir $(distdir)/_build $(distdir)/_inst
chmod a-w $(distdir)
test -d $(distdir)/_build || exit 0; \
dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
&& dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
&& am__cwd=`pwd` \
&& $(am__cd) $(distdir)/_build \
- && ../configure --srcdir=.. --prefix="$$dc_install_base" \
+ && ../configure \
$(AM_DISTCHECK_CONFIGURE_FLAGS) \
$(DISTCHECK_CONFIGURE_FLAGS) \
+ --srcdir=.. --prefix="$$dc_install_base" \
&& $(MAKE) $(AM_MAKEFLAGS) \
&& $(MAKE) $(AM_MAKEFLAGS) dvi \
&& $(MAKE) $(AM_MAKEFLAGS) check \
@@ -1603,7 +1698,7 @@ distcheck: dist
&& $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
&& cd "$$am__cwd" \
|| exit 1
- $(am__remove_distdir)
+ $(am__post_remove_distdir)
@(echo "$(distdir) archives ready for distribution: "; \
list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
@@ -1649,6 +1744,7 @@ mostlyclean-generic:
-test -z "$(LIBOBJS)" || rm -f $(LIBOBJS)
clean-generic:
+ -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
@@ -1667,7 +1763,6 @@ distclean-generic:
-rm -f tests/util/$(am__dirstamp)
-rm -f util/$(DEPDIR)/$(am__dirstamp)
-rm -f util/$(am__dirstamp)
- -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@@ -1752,11 +1847,12 @@ uninstall-man: uninstall-man1 uninstall-man8
.MAKE: all check-am install-am install-strip
-.PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
- check-local clean clean-binPROGRAMS clean-checkLIBRARIES \
- clean-checkPROGRAMS clean-generic clean-local \
- clean-noinstLIBRARIES ctags dist dist-all dist-bzip2 dist-gzip \
- dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
+.PHONY: CTAGS GTAGS TAGS all all-am all-local am--refresh check \
+ check-am check-local clean clean-binPROGRAMS \
+ clean-checkLIBRARIES clean-checkPROGRAMS clean-cscope \
+ clean-generic clean-local clean-noinstLIBRARIES cscope \
+ cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
+ dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
distcheck distclean distclean-compile distclean-generic \
distclean-hdr distclean-local distclean-tags distcleancheck \
distdir distuninstallcheck dvi dvi-am html html-am info \
@@ -1769,14 +1865,24 @@ uninstall-man: uninstall-man1 uninstall-man8
install-ps-am install-strip installcheck installcheck-am \
installdirs maintainer-clean maintainer-clean-generic \
mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
- ps ps-am tags uninstall uninstall-am uninstall-binPROGRAMS \
- uninstall-dist_pkgdataDATA uninstall-dist_sbinSCRIPTS \
- uninstall-man uninstall-man1 uninstall-man8
+ ps ps-am tags tags-am uninstall uninstall-am \
+ uninstall-binPROGRAMS uninstall-dist_pkgdataDATA \
+ uninstall-dist_sbinSCRIPTS uninstall-man uninstall-man1 \
+ uninstall-man8
+
+# These variables exist only for the use of the Debian packaging and similar
+# situations and aren't normally set. We want to honor them if they're set
+# in the environment, as well as via make arguments.
+#
+# WALLET_PERL_FLAGS are additional flags to pass to Build.PL when building
+# the Makefile.
+WALLET_PERL_FLAGS ?=
warnings:
- $(MAKE) V=0 CFLAGS='$(WARNINGS)'
- $(MAKE) V=0 CFLAGS='$(WARNINGS)' $(check_PROGRAMS)
+ $(MAKE) V=0 CFLAGS='$(WARNINGS)' KRB5_CPPFLAGS='$(KRB5_CPPFLAGS_GCC)'
+ $(MAKE) V=0 CFLAGS='$(WARNINGS)' \
+ KRB5_CPPFLAGS='$(KRB5_CPPFLAGS_GCC)' $(check_PROGRAMS)
# Take appropriate actions in the Perl directory as well. We don't want to
# always build the Perl directory in all-local, since otherwise Automake does
@@ -1784,42 +1890,56 @@ warnings:
# packaging.
all-local: perl/blib/lib/Wallet/Config.pm
-perl/blib/lib/Wallet/Config.pm:
- set -e; if [ x"$(builddir)" != x"$(srcdir)" ] ; then \
- mkdir perl/Wallet perl/Wallet/ACL perl/Wallet/ACL/Krb5 \
- perl/Wallet/ACL/LDAP perl/Wallet/ACL/NetDB \
- perl/Wallet/Kadmin perl/Wallet/Object perl/Wallet/Policy \
- perl/Wallet/Schema perl/Wallet/Schema/Result perl/sql perl/t \
- perl/t/data perl/t/lib 2>/dev/null || true ; \
- for f in $(PERL_FILES) ; do \
- cp "$(srcdir)/$$f" "$(builddir)/$$f" ; \
- done \
+perl/blib/lib/Wallet/Config.pm: $(srcdir)/perl/lib/Wallet/Config.pm
+ set -e; if [ x"$(builddir)" != x"$(srcdir)" ] ; then \
+ for d in $(PERL_DIRECTORIES) ; do \
+ [ -d "$(builddir)/$$d" ] || mkdir "$(builddir)/$$d" ; \
+ done ; \
+ for f in $(PERL_FILES) ; do \
+ cp "$(srcdir)/$$f" "$(builddir)/$$f" ; \
+ done ; \
fi
- cd perl && perl Makefile.PL
- cd perl && $(MAKE)
-
+ mkdir perl/t/lib/Test
+ $(INSTALL_DATA) $(srcdir)/tests/tap/perl/Test/RRA.pm perl/t/lib/Test/
+ mkdir perl/t/lib/Test/RRA
+ $(INSTALL_DATA) $(srcdir)/tests/tap/perl/Test/RRA/Config.pm \
+ perl/t/lib/Test/RRA/
+ cd perl && perl Build.PL $(WALLET_PERL_FLAGS)
+ cd perl && ./Build
+
+# This is a really ugly hack to only honor prefix when running make install
+# under Automake's distcheck.
+#
+# Automake insists on not using DESTDIR for distcheck and instead relying on
+# prefix, but we don't want Perl module installation to follow prefix since
+# that may result in a module install directory that isn't in Perl's search
+# path. So, if and only if we're running under distcheck, we pass the
+# prefix in as --install_base.
install-data-local:
- if [ x"$(DESTDIR)" != x ] ; then \
- cd perl && $(MAKE) install DESTDIR=$(DESTDIR)/ ; \
- else \
- cd perl && $(MAKE) install ; \
- fi
+ set -e; flags= ; \
+ case "$(prefix)" in \
+ */_inst) flags="--install_base $(prefix)" ;; \
+ esac ; \
+ cd perl && ./Build install $$flags --destdir '$(DESTDIR)'
# ExtUtils::MakeMaker really likes moving the Makefile aside.
clean-local:
- [ ! -f perl/Makefile ] || ( set -e; cd perl && $(MAKE) clean )
- cd perl && ( [ ! -f Makefile.old ] || mv Makefile.old Makefile )
+ set -e; if [ -f "perl/Build" ] ; then \
+ cd perl && ./Build realclean ; \
+ fi
# Remove the files that we copy over if and only if builddir != srcdir.
distclean-local:
set -e; if [ x"$(builddir)" != x"$(srcdir)" ] ; then \
- rm -f $(PERL_FILES) ; \
+ for f in $(PERL_FILES) ; do \
+ rm -f "$(builddir)/$$f" ; \
+ done ; \
fi
check-local: $(check_PROGRAMS)
- cd tests && ./runtests $(abs_top_srcdir)/tests/TESTS
+ cd tests && ./runtests -l $(abs_top_srcdir)/tests/TESTS
@echo ''
- cd perl && $(MAKE) test
+ cd perl && ./Build test
# Alas, we have to disable this check because there's no way to do an
# uninstall from Perl.